Subject: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 24 Mar 2016 09:15:57 -0400

> How would that happen? I don't have to use file-name-all-completions to
> implement file completion operation. Until recently, company-files used
> directory-files at least for some inputs, to implement file completion.

That's exactly Michael's point: that Tramp can't know that the current
operation is part of some kind of completion, just by looking at which
Tramp functions are called.

The question is: does Tramp need to know whether or not this
`directory-files', or `file-directory-p' (or
`file-name-all-completions', which may also be called in non-completion
contexts) is called as part of a completion operation?

        Stefan